For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Go to app
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
    • Introduction
    • Users
    • Taskflow
    • AI Task Builder
    • Studies
    • Representative sample studies
    • study-collections
    • Filter Sets
    • Participant Groups
    • Custom Groups
    • Study Distribution
    • Submissions
    • Bonuses
    • Messages
    • Workspaces
    • Projects
    • Surveys
      • GETGet all surveys
      • POSTCreate survey
      • GETGet survey
      • DELDelete survey
      • GETGet all responses
      • POSTCreate response
      • DELDelete all responses
      • GETGet summary of responses
      • GETGet response
      • DELDelete a response
    • Webhooks
    • Invitations
    • Reward Recommendations
    • Testing
    • Well Known Endpoints
Go to app
LogoLogo
API ReferenceSurveys

Get summary of responses

|View as Markdown|Open in Claude|
GET
https://api.prolific.com/api/v1/surveys/:survey_id/responses/summary/
GET
/api/v1/surveys/:survey_id/responses/summary/
$curl https://api.prolific.com/api/v1/surveys/survey_id/responses/summary/ \
> -H "Authorization: Token <token>"
1{
2 "survey_id": "63346b3a4fd1fe7b39f192e9",
3 "questions": [
4 {
5 "question": "Do you feel that this will all be alright on the night?",
6 "question_id": "02dee012-25e4-449e-8f2f-a552b9007d92",
7 "total_answers": 10,
8 "answers": [
9 {
10 "answer": "Yes",
11 "answer_id": "4c69011b-9b6b-46c6-8ba2-da80761131dc",
12 "count": 4
13 },
14 {
15 "answer": "No",
16 "answer_id": "f3c8d38f-842c-49d9-a0bb-e17b7803b240",
17 "count": 6
18 }
19 ]
20 }
21 ]
22}
Get an aggregated summary of responses for a given survey.
Was this page helpful?
Previous

Delete all responses

Next

Get response

Authentication

AuthorizationToken

The Prolific API uses API token to authenticate requests. You can create an API token directly from your settings.

Your API token does not have an expiry date and carries full permission, so be sure to keep them secure.

If your token is leaked, delete it and create a new one directly in the app.

In your requests add Authorization header with the value Token <your token>.

Path parameters

survey_idstringRequired

Response

Successful response
survey_idstring
The survey ID.
questionslist of objects
A list of questions for the given survey.

Errors

4XX
Client Request Error